Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface ValueSegment

    @UML(identifier="CV_ValueSegment",
         specification=ISO_19123)
    public interface ValueSegment

Limits of a value segment specified by two values of the arc-length parameter of the curve underlying its parent value curve.

Method Summary
`Set<PointValuePair>` | `getControlPoints()` Returns the set of point-value pairs that provide control values for the interpolation.
`double` | `getEndParameter()` Returns the value of the arc-length parameter of the parent curve at the end of this value segment.
`double` | `getStartParameter()` Returns the value of the arc-length parameter of the parent curve at the start of this value segment.

Method Detail

### getStartParameter

    @UML(identifier="startParameter",
         obligation=MANDATORY,
         specification=ISO_19123)
    double getStartParameter()

  Returns the value of the arc-length parameter of the parent curve at the start of this value segment.

### getEndParameter

    @UML(identifier="endParameter",
         obligation=MANDATORY,
         specification=ISO_19123)
    double getEndParameter()

  Returns the value of the arc-length parameter of the parent curve at the end of this value segment.

### getControlPoints

    @UML(identifier="controlPoint",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<PointValuePair> getControlPoints()

  Returns the set of point-value pairs that provide control values for the interpolation. Linear interpolation requires a minimum of two control values, usually those at the beginning and end of the value segment. Additional control values are required to support interpolation by higher order functions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.